%define ver 2.7
%define subver 11
%define release  %mkrel 2

Name: gsoap
Version: %{ver}.%{subver}
Release: %release
Summary: Development tookit for SOAP/XML Web services in C/C++
Group: Development/Other
License: gSOAP Public License
Source: http://prdownloads.sourceforge.net/gsoap2/%{name}_%{version}.tar.bz2
URL: http://www.cs.fsu.edu/~engelen/soap.html
BuildRequires: automake
BuildRequires: bison
BuildRequires: libstdc++-devel openssl-devel zlib-devel
BuildRequires: flex
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
The gSOAP Web services development toolkit offers an XML to C/C++ language
binding to ease the development of SOAP/XML Web services in C and C/C++.

%prep
rm -rf %{buildroot}
%setup -q -n %{name}-%{ver}

%build
%configure
make SOAPCPP2_IMPORTPATH="-DSOAPCPP2_IMPORT_PATH=\"\\\"%{_datadir}/%{name}/import\"\\\"" WSDL2H_IMPORTPATH="-DWSDL2H_IMPORT_PATH=\"\\\"%{_datadir}/%{name}/WS\"\\\""

%install
rm -rf %{buildroot}

mkdir -p %buildroot/%_datadir/%name
cp -R %name/import %buildroot/%_datadir/%name
cp -R %name/WS %buildroot/%_datadir/%name
cp -R %name/uddi2 %buildroot/%_datadir/%name
cp %name/stdsoap2.cpp %buildroot/%_datadir/%name
cp %name/stdsoap2.c %buildroot/%_datadir/%name
%makeinstall


%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc LICENSE.txt NOTES.txt README.txt *.html gpl.txt license.pdf %name/doc
%defattr(-,root,root)
%{_bindir}/soapcpp2
%{_bindir}/wsdl2h
%{_includedir}/stdsoap2.h
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_libdir}/libgsoap++.a
%{_libdir}/libgsoap.a
%{_libdir}/libgsoapck++.a
%{_libdir}/libgsoapck.a
%{_libdir}/libgsoapssl++.a
%{_libdir}/libgsoapssl.a
%{_libdir}/pkgconfig/gsoapssl++.pc
%{_libdir}/pkgconfig/gsoapssl.pc
%{_libdir}/pkgconfig/gsoap++.pc
%{_libdir}/pkgconfig/gsoap.pc
%{_libdir}/pkgconfig/gsoapck++.pc
%{_libdir}/pkgconfig/gsoapck.pc




%changelog
* Wed Jul 30 2008 Angelo Naselli <anaselli@mandriva.org> 2.7.11-2mdv2009.0
+ Revision: 254911
- Updated with a new upstream tarball

* Mon Jul 28 2008 Angelo Naselli <anaselli@mandriva.org> 2.7.11-1mdv2009.0
+ Revision: 251135
- New version 2.7.11

* Thu Jun 26 2008 Angelo Naselli <anaselli@mandriva.org> 2.7.10-3mdv2009.0
+ Revision: 229303
- Fixed Url

* Thu Jun 26 2008 Angelo Naselli <anaselli@mandriva.org> 2.7.10-2mdv2009.0
+ Revision: 229282
- Fixed bug #41665: gsoap is looking for file in rpm build environnement
- Moved WS and import under /usr/share/gsoap

* Tue Jan 29 2008 Angelo Naselli <anaselli@mandriva.org> 2.7.10-1mdv2008.1
+ Revision: 159685
- New version 2.7.10

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Nov 12 2007 Angelo Naselli <anaselli@mandriva.org> 2.7.9l-1mdv2008.1
+ Revision: 108262
- new version 2.7.9l

* Tue Aug 28 2007 Angelo Naselli <anaselli@mandriva.org> 2.7.9k-1mdv2008.0
+ Revision: 72614
- new version 2.7.9k

* Wed Aug 01 2007 Angelo Naselli <anaselli@mandriva.org> 2.7.9j-1mdv2008.0
+ Revision: 57285
- New version 2.7.9j

* Thu Jul 12 2007 Angelo Naselli <anaselli@mandriva.org> 2.7.9i-1mdv2008.0
+ Revision: 51688
- New version 2.7.9i

* Mon Jul 02 2007 Angelo Naselli <anaselli@mandriva.org> 2.7.9h-1mdv2008.0
+ Revision: 47086
- New version 2.7.9h

* Fri Apr 27 2007 Angelo Naselli <anaselli@mandriva.org> 2.7.9f-1mdv2008.0
+ Revision: 18630
- New version 2.7.9f

* Wed Apr 18 2007 Angelo Naselli <anaselli@mandriva.org> 2.7.9e-1mdv2008.0
+ Revision: 14846
- new version 2.7.9e


* Thu Feb 22 2007 Angelo Naselli <anaselli@mandriva.org> 2.7.9d-1mdv2007.0
+ Revision: 124663
- New version 2.7.9d

* Mon Feb 12 2007 Angelo Naselli <anaselli@mandriva.org> 2.7.9c-1mdv2007.1
+ Revision: 118889
- new version 2.7.9c

* Mon Jan 01 2007 Angelo Naselli <anaselli@mandriva.org> 2.7.9b-1mdv2007.1
+ Revision: 103023
- new version 2.7.9b

* Thu Dec 07 2006 Angelo Naselli <anaselli@mandriva.org> 2.7.9a-2mdv2007.1
+ Revision: 91930
- rebuilt
- new version 2.7.9a

* Sun Nov 05 2006 Angelo Naselli <anaselli@mandriva.org> 2.7.9-1mdv2007.1
+ Revision: 76740
- new version 2.7.9
- Import gsoap

* Sun Jun 25 2006 Angelo Naselli <anaselli@mandriva.org> 2.7.8c-1mdv2007.0
- New release 2.7.8c

* Mon Jun 19 2006 Angelo Naselli <anaselli@mandriva.org> 2.7.8b-1mdv2007.0
- New release 2.7.8b

* Mon Jun 12 2006 Angelo Naselli <anaselli@mandriva.org> 2.7.8a-1mdv2007.0
- New release 2.7.8a

* Wed Jun 07 2006 Angelo Naselli <anaselli@mandriva.org> 2.7.8-1mdv2007.0
- New release 2.7.8

* Mon Apr 10 2006 Angelo Naselli <anaselli@mandriva.org> 2.7.7-1mdk
- New release 2.7.7

* Tue Mar 21 2006 Angelo Naselli <anaselli@mandriva.org> 2.7.6e-2mdk
- added import directory and typemap.dat sample files needed by tool staff

* Sun Feb 19 2006 Angelo Naselli <anaselli@mandriva.org> 2.7.6e-1mdk
- New release 2.7.6e

* Mon Jan 09 2006 Angelo Naselli <anaselli@mandriva.org> 2.7.6d-1mdk
- New release 2.7.6d

* Thu Nov 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.7.6c-2mdk
- Fix BuildRequires

* Fri Oct 21 2005 Angelo Naselli <anaselli@mandriva.org> 2.7.6c-1mdk
- bilt new version for mandriva (followed a connectiva pacakge)

